import { BaseWidgetComponent } from "@smallstack/widget-core";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class PeriodOfTimeInputWidgetComponent extends BaseWidgetComponent {
    protected periodOfTime$: BehaviorSubject<{
        from: number;
        to: number;
    }>;
    constructor();
    protected setFrom(date: string): void;
    protected setTo(date: string): void;
    protected setToToday(): void;
    protected setToTomorrow(): void;
    protected setToCurrentWeek(): void;
    protected setToNextWeek(): void;
    protected setToCurrentMonth(): void;
    protected setToNextMonth(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PeriodOfTimeInputWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PeriodOfTimeInputWidgetComponent, "smallstack-period-of-time-input-widget", never, {}, {}, never, never, true, never>;
}
