import { OnInit } from "@angular/core";
import { ActivatedRoute, Router } from "@angular/router";
import { RouterUtilService, StoreRegistry } from "@smallstack/common-components";
import { PageableStore } from "@smallstack/store";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class GridListViewWidgetV2Component extends BaseWidgetComponent implements OnInit {
    private storeRegistry;
    private router;
    private activatedRoute;
    private routerUtilService;
    store: PageableStore;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(storeRegistry: StoreRegistry, router: Router, activatedRoute: ActivatedRoute, routerUtilService: RouterUtilService);
    ngOnInit(): void;
    getLink(id: string): void;
    openMoreLink(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridListViewWidgetV2Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridListViewWidgetV2Component, "smallstack-grid-list-view-widget-v2", never, {}, {}, never, never, false, never>;
}
