import { AxiosApiClient } from "@smallstack/axios-api-client";
import { CountUpOptions } from "@smallstack/common-components";
import { FrontendTypeRegistry } from "@smallstack/typesystem-client";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class CountWidgetComponent extends BaseWidgetComponent {
    private axiosApiClient;
    private typeRegistry;
    countValue: number;
    enableCountUp: boolean;
    errorMessage: string;
    options: CountUpOptions;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(axiosApiClient: AxiosApiClient, typeRegistry: FrontendTypeRegistry);
    private computeCount;
    static ɵfac: i0.ɵɵFactoryDeclaration<CountWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CountWidgetComponent, "count-widget", never, {}, {}, never, never, false, never>;
}
